Rated 3 out of 5 stars

I installed this add-on, but what I am really interested is in something that lets me install outdated add-ons that are not compatible with my current firefox version - in particular the 'customizegoogle' (cg) add-on. I have found that the add-on keeps on working in newer versions even if it is deemed outdated for that version. Because of a crash, I had to make a fresh installation of Firefox and now I can no longer install the cg add-on. Please let me know if this add-on will help me in that :) Sry for the length of the post.

This review is for a previous version of the add-on (2.1-signed.1-signed).